Restricted Data Usage

About Restricted Data Usage

At Nextdoor, we prioritize user privacy and enable advertisers to comply with evolving data regulations, particularly those in various US states. The Restricted Data Usage (RDU) attributes within our Conversions API (CAPI) provide you with control over how your event data is used in Nextdoor’s systems.

Understanding Restricted Data Usage (RDU)

RDU is a data processing option that gives advertisers more control over how Nextdoor processes their data, to help advertisers with their compliance with various state-specific privacy regulations. Use of the RDU parameter is optional as an advertiser may choose to send the Restricted Data Use parameter when its customer has opted out of the sharing or selling of their data on the advertiser’s website. By implementing RDU parameters, Nextdoor will process data in accordance with its role as a service provider or processor with respect to flagged personal information from people in states where the Restricted Data Use parameter is available as outlined in our developer documentation. This means that Nextdoor will restrict the use of that data as specified in our Restricted Data Use Parameter Terms for Specified U.S. States.

RDU Attributes

Nextdoor supports the following attributes to all conversion events throughout the Conversion Attribution Pipeline (CAP). These attributes are embedded on a per-event basis, meaning the advertiser must send the RDU parameter with every event for each user. Nextdoor does not save the RDU flag for users for future events.

NameData TypeRequiredNotes
restricted_data_usageIntegerNoDefault is null. If an advertiser explicitly passes true or 1, Nextdoor will only use the event for reporting purposes.
restricted_data_usage_countryIntegerNoAssociates a country with this data processing option. Default is null. The only currently accepted value is 1 for the United States of America.
restricted_data_usage_stateIntegerNoAssociates a state with this data processing option. Default is null. Current accepted values include:
  • 1000 for California
    1001 for Colorado
    1002 for Connecticut
    1003 for Iowa
    1004 for Oregon
    1005 for Texas
    1006 for Montana
    1007 for Delaware
    1008 for Nebraska
    1009 for New Hampshire
    1010 for New Jersey
    1011 for Utah
    1012 for Virginia
    1013 for Minnesota
    1014 for Tennessee
    1015 for Maryland
    1016 for Indiana
    1017 for Kentucky
    1018 for Rhode Island

Implementation Example

Advertisers need to update their CAPI setup to incorporate RDU parameters. For example, to implement Restricted Data Usage with a specific state code using the CAPI::

curl --request POST \
--url https://ads.nextdoor.com/v2/api/conversions/track \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--header 'Authorization: Bearer YOUR_AUTHENTICATION_TOKEN' \
--data '
{
"data_source_id": "your_data_source_id_here",
"event_name": "your_event_name_here",
"event_time_epoch": 1678886400,
"restricted_data_usage": 1,
"restricted_data_usage_country": 1,
"restricted_data_usage_state": 1000
}
'

Nextdoor's Responsibility and Permissible Uses

Nextdoor acts as a data processor for measurement services. How Nextdoor treats event data depends on the presence and specific values of the RDU parameter and its associated geolocation.

Advertiser's Responsibility for Consent

It is the advertiser's responsibility to collect all necessary user consent in accordance with applicable privacy laws and regulations before sending data to Nextdoor.

  • Nextdoor does not save the RDU parameter for users for future events; it must be sent on a per-event basis.